summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobert Buchholz <rbu@gentoo.org>2007-01-13 15:05:37 +0000
committerRobert Buchholz <rbu@gentoo.org>2007-01-13 15:05:37 +0000
commit37f4795801272b699f7cf5f7b4e8880ede844c2f (patch)
tree18be11bdc6fdd073c662f6190de630e6d5038615 /app-misc/lcd-stuff/files
parentEnable support for 88-color terminals (bug #161037). (diff)
downloadgentoo-2-37f4795801272b699f7cf5f7b4e8880ede844c2f.tar.gz
gentoo-2-37f4795801272b699f7cf5f7b4e8880ede844c2f.tar.bz2
gentoo-2-37f4795801272b699f7cf5f7b4e8880ede844c2f.zip
New lcdproc client
(Portage version: 2.1.1-r2)
Diffstat (limited to 'app-misc/lcd-stuff/files')
-rw-r--r--app-misc/lcd-stuff/files/digest-lcd-stuff-0.1.23
-rw-r--r--app-misc/lcd-stuff/files/lcd-stuff.confd13
-rw-r--r--app-misc/lcd-stuff/files/lcd-stuff.initd24
3 files changed, 40 insertions, 0 deletions
diff --git a/app-misc/lcd-stuff/files/digest-lcd-stuff-0.1.2 b/app-misc/lcd-stuff/files/digest-lcd-stuff-0.1.2
new file mode 100644
index 000000000000..5799da6de426
--- /dev/null
+++ b/app-misc/lcd-stuff/files/digest-lcd-stuff-0.1.2
@@ -0,0 +1,3 @@
+MD5 836e52c61890b5043d8d8c033c4e0c53 lcd-stuff-0.1.2.tar.gz 146398
+RMD160 7a5e1fb02ce070df003a3778fcf1900add8b8875 lcd-stuff-0.1.2.tar.gz 146398
+SHA256 e27c16f513c8dc652a7e643e22bfa450ff99e44bfffa0e3858effd3b73321d2e lcd-stuff-0.1.2.tar.gz 146398
diff --git a/app-misc/lcd-stuff/files/lcd-stuff.confd b/app-misc/lcd-stuff/files/lcd-stuff.confd
new file mode 100644
index 000000000000..3381aa82a9f5
--- /dev/null
+++ b/app-misc/lcd-stuff/files/lcd-stuff.confd
@@ -0,0 +1,13 @@
+# /etc/conf.d/lcd-stuff: Configuration for lcd-stuff LCDproc client
+
+# Host name that is running LCDd
+ADDRESS=localhost
+
+# TCP Port of LCDd on $ADDRESS
+TCPPORT=13666
+
+# Report level (0: none, 5: debug)
+REPORTLEVEL=2
+
+# Configuration file for lcd-stuff
+CONFIGFILE="/etc/lcd-stuff.conf" \ No newline at end of file
diff --git a/app-misc/lcd-stuff/files/lcd-stuff.initd b/app-misc/lcd-stuff/files/lcd-stuff.initd
new file mode 100644
index 000000000000..1d312babc097
--- /dev/null
+++ b/app-misc/lcd-stuff/files/lcd-stuff.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/lcd-stuff/files/lcd-stuff.initd,v 1.1 2007/01/13 15:05:37 rbu Exp $
+
+PIDFILE=/var/run/${SVCNAME}.pid
+
+depend() {
+ use LCDd
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+
+ start-stop-daemon --start --background --pidfile ${PIDFILE} --make-pidfile --exec \
+ /usr/bin/lcd-stuff -- -f 0 -s 1 -r "${REPORTLEVEL}" -a "${ADDRESS}" -p "${TCPPORT}" -c "${CONFIGFILE}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stoping ${SVCNAME}"
+ start-stop-daemon --stop --pidfile ${PIDFILE} --name "lcd-stuff"
+ eend $?
+}